summaryrefslogtreecommitdiff
path: root/RED/run-paper-strong-rank.sh
diff options
context:
space:
mode:
Diffstat (limited to 'RED/run-paper-strong-rank.sh')
-rwxr-xr-xRED/run-paper-strong-rank.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/RED/run-paper-strong-rank.sh b/RED/run-paper-strong-rank.sh
new file mode 100755
index 0000000..ed6e60e
--- /dev/null
+++ b/RED/run-paper-strong-rank.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+
+(
+
+echo "prim-benchmarks RED strong-rank (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# 256 and 512 are not part of upstream config space
+for nr_dpus in 512 256 1 4 16 64; do
+ for nr_tasklets in 1 2 4 8 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 VERSION=SINGLE verbose=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -i 6553600 -x 1 || true
+ fi
+ done
+done
+) | tee log-paper-strong-rank.txt